#ifndef _IMPORT_BASE_HPP_
#define _IMPORT_BASE_HPP_

#include <string>

#include "connect.hpp"
#include "modules.hpp"

class ImportBase
{
    Connections *connects;
    Modules *mods;

public:
    ImportBase()
    {
        connects = new Connections();
        mods = new Modules();
    }
    virtual void load(std::string file_name) = 0;
    Connections *connections()
    {
        return connects;
    }
    Modules *modules()
    {
        return mods;
    }
};

#endif // _IMPORT_BASE_HPP_